Passa al contenuto principale

ServerMonitoringProbeChartResponse

Successful response with one ServerMonitoringProbeChart

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Resource returned by the operation

server_monitoring_idintegerrequired

Id of the server monitoring (GET /api/v3/server-monitorings/{server_monitoring_id})

probe_idintegerrequired

Id of the probe (GET /api/v3/server-monitorings/{server_monitoring_id}/probes/{probe_id})

intervalstringrequired

Period covered by the chart, as an ISO 8601 duration: always P1D, the last day

Example: P1D
points object[]required

Values measured by the probe in the period, in time order

  • Array [
  • xfloatrequired

    UNIX timestamp in milliseconds

    yfloatrequired

    Probe value

  • ]
  • metarequired

    Always null: only the paginated lists have a meta

    Constant value: null
    ServerMonitoringProbeChartResponse
    {
    "error": 0,
    "message": "string",
    "data": {
    "server_monitoring_id": 0,
    "probe_id": 0,
    "interval": "P1D",
    "points": [
    {
    "x": 0,
    "y": 0
    }
    ]
    }
    }